//AABB - [2020-06-22 11:41:46]
#ifndef _PlatformMesh_H_
#define _PlatformMesh_H_

#include "CFTTVector32x4.h"
#include "CFTTModel.h"

void PlatformMesh_Free(CFTTPlatformMesh *);                                                                //0021B304
void PlatformMesh_PerMeshSetup(CFTTPlatformMesh const *, CFTTVector32x4 const *, CFTTVector32x4 const *);  //0021B340
void PlatformMesh_Render(CFTTPlatformMesh *, int, ushort, uint, uint);                                     //0021B370
void PlatformMesh_PerMeshRestore(CFTTPlatformMesh const *);                                                //0021B3C8
void PlatformMesh_CreateVolatileResources(CFTTPlatformMesh *, bool);                                       //0021B3F0
void PlatformMesh_DeleteVolatileResources(CFTTPlatformMesh *, bool);                                       //0021B44A
void PlatformMesh_CreateManagedResources(CFTTPlatformMesh *, bool);                                        //0021B452
void PlatformMesh_DeleteManagedResources(CFTTPlatformMesh *, bool);                                        //0021B454
void PlatformMesh_SetVerts(CFTTPlatformMesh *);                                                            //0021B456
void PlatformMesh_SetIndices(CFTTPlatformMesh *);                                                          //0021B478
void PlatformMesh_ToModel(CFTTPlatformMesh *, TFTTModel *, EMeshModelFlags);                               //0021B488
void PlatformMesh_FromModel(CFTTPlatformMesh *, CFTTPlatformMesh *, TFTTModel *, EMeshModelFlags);         //0021BA38

#endif  //_PlatformMesh_H_